edu.wpi.first.wpilibj.can

## Class CANJNI

- java.lang.Object
- - edu.wpi.first.wpilibj.hal.JNIWrapper
  - - edu.wpi.first.wpilibj.can.CANJNI

-     public class CANJNI
      extends JNIWrapper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CAN_IS_FRAME_11BIT`
    `static int` | `CAN_IS_FRAME_REMOTE`
    `static int` | `CAN_SEND_PERIOD_NO_REPEAT`
    `static int` | `CAN_SEND_PERIOD_STOP_REPEATING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CANJNI()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `FRCNetCommCANSessionMuxReceiveMessage(java.nio.IntBuffer messageID, int messageIDMask, java.nio.ByteBuffer timeStamp)`
    `static void` | `FRCNetCommCANSessionMuxSendMessage(int messageID, byte[] data, int periodMs)`
    `static void` | `GetCANStatus(CANStatus status)`

    - ### Methods inherited from class edu.wpi.first.wpilibj.hal.JNIWrapper

      `getPort, getPortWithModule`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CAN_SEND_PERIOD_NO_REPEAT

          public static final int CAN_SEND_PERIOD_NO_REPEAT

      See Also:
        Constant Field Values

    - #### CAN_SEND_PERIOD_STOP_REPEATING

          public static final int CAN_SEND_PERIOD_STOP_REPEATING

      See Also:
        Constant Field Values

    - #### CAN_IS_FRAME_REMOTE

          public static final int CAN_IS_FRAME_REMOTE

      See Also:
        Constant Field Values

    - #### CAN_IS_FRAME_11BIT

          public static final int CAN_IS_FRAME_11BIT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CANJNI

          public CANJNI()

  - ### Method Detail

    - #### FRCNetCommCANSessionMuxSendMessage

          public static void FRCNetCommCANSessionMuxSendMessage(int messageID,
                                                                byte[] data,
                                                                int periodMs)

    - #### FRCNetCommCANSessionMuxReceiveMessage

          public static byte[] FRCNetCommCANSessionMuxReceiveMessage(java.nio.IntBuffer messageID,
                                                                     int messageIDMask,
                                                                     java.nio.ByteBuffer timeStamp)

    - #### GetCANStatus

          public static void GetCANStatus(CANStatus status)